Windows 7 Installtionsprobleme

    • merkabah
      merkabah
      Silber
      Dabei seit: 03.08.2006 Beiträge: 703
      Habe auf meim neuen Laptop PokerTracker 2 installiert.

      Leider gibt es bei der Installtion von PostgreSQL 8.0.3 nur Probleme.

      Im Forum steht, daß mit PostgreSQL 8.4 keine Probleme entstehen.

      Jedoch steht in der PS-Anleitung zu PT2 daß man nur die Version
      8.0.3 verwenden soll.

      Ist das noch aktuell ?

      Danke für Eure Rückantworten.
  • 15 Antworten
    • netsrak
      netsrak
      Gold
      Dabei seit: 11.03.2006 Beiträge: 36.836
      8.0.3 ist auf alle Fälle nicht aktuell, ob PT2 allerdings mit Postgresql 8.4 läuft kann ich dir nicht sagen.
      8.3.x geht aber auf alle Fälle.
    • merkabah
      merkabah
      Silber
      Dabei seit: 03.08.2006 Beiträge: 703
      Danke für Deine prompte Rückantwort.

      Habe nun PostgreSQL 8.3.x installiert. Funktionierte ohne Probleme

      Wo (über den Stackbuilder ?) und welche Einstellungen muß ich nun vornehmen?

      Bei Pokertracker 2 unter "PostgreSql Database Funnciton" erhalte
      ich dei Fehlermeldung "999 - SQLSTATE = IM002

      Finde leider keine bebilderte Installationsanleitung.

      Danke im voraus
    • netsrak
      netsrak
      Gold
      Dabei seit: 11.03.2006 Beiträge: 36.836
      Da kann ich dir leider nicht weiterhelfen da ich schon seit Jahren kein PT2 mehr einsetze. Falls Ajezz hier nichts dazu sagt poste mal im Pokertrackerbereich oder verschieb den Thread dahin.
    • merkabah
      merkabah
      Silber
      Dabei seit: 03.08.2006 Beiträge: 703
      Nachdem ich festgestellt habe, daß PT2 ab nächstem Jahr nicht mehr
      supported wird, hab ich mich entschoßen den Elephant zu installieren.

      Habe zuvor das Postgresql gem. Anleitun deinstalliert.

      Elephant 0.69 hat funktioniert. Beim installieren von PostgreSQl
      gab es leider wieder Probleme:

      Folgende Meldung:

      Es konnte keine Verbindung zum Datenbakserver
      aufgebaut werden!

      Erweiterte Information:

      Failed to estabhlis a connection to '127.0.0.1'

      Hab wie im Forum beschrieben
      [Guide] Datenbank Probleme
      die Fehlermeldung abgearbeitet.

      Hier steht:
      Achtung:
      Kann der Dienst nicht gestartet werden deutet das daraufhin, dass die Datenbank nicht (korrekt) installiert wurde.
      Im Elephant Odner muss dann die Datei "postgresql-8.3.msi" ausgeführt und installiert werden


      Nachdem Postgresql nicht startet wollte ich wie beschrieben das Programm
      manuell installieren.

      Dann kamen diese Meldung

      ---------------------------
      Account error
      ---------------------------
      User 'EDDIE-PC\postgres' was not found. Would you like the account to be created for you?
      ---------------------------
      Ja Nein
      ---------------------------

      bin auf ja gegangen.

      Danach kam späte diese Meldung:

      ---------------------------
      Data directory error
      ---------------------------
      The specified data directory is not empty.

      If you have an existing database with the same major version number, you do not need to initialise a database cluster.
      If you have an existing database with a different major version you need to backup your old database and create a new one.
      ---------------------------
      OK
      ---------------------------


      Die Installation wurde abgebrochen.

      Kann PostgreSQL nicht deinstallieren, da es unter Software nicht
      aufscheint.

      PS: Habe auch alles als Admin ausgeführt.

      System: Windows 7 Professional
      Elephant 0.69

      Wie bringe ich Elephant zum Laufen?

      Danke für Eure Hilfe
    • netsrak
      netsrak
      Gold
      Dabei seit: 11.03.2006 Beiträge: 36.836
      Es gibt bereits ein Postgresql Data Verzeichnis von deiner alten Installation. Dieses musst du vor der Installation löschen.
    • merkabah
      merkabah
      Silber
      Dabei seit: 03.08.2006 Beiträge: 703
      Ich glaube nicht, daß dann das Problem gelöst ist. ?(

      Bei der ersten Installation war ja noch gar kein Postgresql
      installiert.

      Wie bekomme ich eine Verbindung zum Datenbankserver unter
      Windows 7 ?
    • netsrak
      netsrak
      Gold
      Dabei seit: 11.03.2006 Beiträge: 36.836
      Läuft denn ein Postgresql Dienst?
      Versuchs erstmal mit pgadmin.

      Der Postgresql Link in meiner Signatur sollte dir auch weiterhelfen.
    • merkabah
      merkabah
      Silber
      Dabei seit: 03.08.2006 Beiträge: 703
      Original von netsrak
      Läuft denn ein Postgresql Dienst?
      Versuchs erstmal mit pgadmin.

      Der Postgresql Link in meiner Signatur sollte dir auch weiterhelfen.
      Danke für Deine schnellen Rückantworten, und die super Beschreibung
      von Postgresql.

      Der Postgesql Dienst ist nicht gestartet, da PostgreSQL sich nicht
      installiert hat.

      Fehlermeldung
      Es konnte keine Verbindung zum Datenbakserver
      aufgebaut werden!

      Erweiterte Information:
      Failed to estabhlis a connection to '127.0.0.1'



      Unter Systemsteuerung-Software scheint Postgresql nicht auf

      Werde unter C:Windows-Programme den Postgresql-Ordner löschen.
      Danach mit dem Deinstallationsprogramm die Reste hoffentlich entfernen.

      Welche Postgresql-Version ist für Windows 7 geeignet, oder muß man
      die vom Elephant nehmen? (Würde sonst zuerst nur Postgresql installieren bis es funktioniert, dann erst den Elephant)

      Kann das Problem vielleicht bei der Benutzerkontensteuerung von
      Windows 7 liegen? Hatte mit XP nie Probleme!


      Danke nochmals im voraus für die Hilfe.
    • netsrak
      netsrak
      Gold
      Dabei seit: 11.03.2006 Beiträge: 36.836
      Einfach die aktuellste Postgres 8.4. von http://www.postgresql.org nehmen
    • Edgehead
      Edgehead
      Bronze
      Dabei seit: 27.07.2007 Beiträge: 120
      kann mir wer sagen was ich beim stackbuilder eingeben muss damit PT3 läuft?
    • Jarrik70
      Jarrik70
      Bronze
      Dabei seit: 09.10.2009 Beiträge: 236
      Ich habe unter Windows 7 die gleichen Probleme. Hatte eigentlich gedacht, dass das daran liegt, das ich Windows 7 über mein Vista drüberinstalliert habe, aber das scheint nicht so zu sein, da ich die gleichen Fehlermeldungen bekomme. Oder hast du dein Windows7 auch nachträglich installiert?
    • sTerK
      sTerK
      Bronze
      Dabei seit: 27.11.2007 Beiträge: 1.979
      Macht mal UAC aus Kinders.
    • Maglischt
      Maglischt
      Bronze
      Dabei seit: 18.11.2008 Beiträge: 35
      Also ich habe Windows 7 drauf und bei mir lief PostSQL 8.3 nicht.
      Nur 8.4 läuft jetzt.
      Ob 8.4 aber kompatibel ist mit PT2 weiß ich auch nicht.

      Gruß
      Maglischt
    • knorki
      knorki
      Bronze
      Dabei seit: 10.07.2008 Beiträge: 6.644
      Ich grab den alten Thread mal aus.

      Hab auch grad Windows 7 drauf und wollte jetzt postgreSQL 8.4 installieren und dann die neuste Version von HM, das dürfte keine Probleme geben oder?
    • netsrak
      netsrak
      Gold
      Dabei seit: 11.03.2006 Beiträge: 36.836
      Eigentlich nicht. Es gibt Windows 7 Installationen auf denen läuft nur Postgresql 8.4, auf anderen läuft seltsamerweise nur 8.3. Wodran das liegt kann ich nicht sagen.
      Versuch erstmal 8.4 und wenn das nicht geht nimm 8.3